For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
        • Widgets
              • GETList Widgets
              • POSTCreate Widget
              • GETGet Widget
              • PUTUpdate Widget
              • DELDelete Widget
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentWidgetsWidget

Get Widget

GET
https://api.bigcommerce.com/stores/:store_hash/v3/content/widgets/:uuid
GET
/stores/:store_hash/v3/content/widgets/:uuid
$curl https://api.bigcommerce.com/stores/store_hash/v3/content/widgets/uuid \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": {
3 "channel_id": 1,
4 "date_created": "2020-12-21T19:54:16.406Z",
5 "date_modified": "2020-12-21T19:54:16.406Z",
6 "description": "",
7 "name": "Header Images",
8 "uuid": "1f05183e-dfa4-4583-af28-250b47e177b2",
9 "version_uuid": "c863f77b-e5b4-4462-a9ed-2aff9005140e",
10 "widget_configuration": {
11 "_": {
12 "id": "1f05183e-dfa4-4583-af28-250b47e177b2"
13 },
14 "images": [
15 {
16 "image_source": "https://cdn11.bigcommerce.com/s-n0i50vy/images/stencil/1280x1280/products/109/361/kinfolkessentialissue_1024x1024__22507.1456436715.jpg?c=2&imbypass=on"
17 },
18 {
19 "image_source": "https://cdn11.bigcommerce.com/s-n0i50vy/images/stencil/500x659/products/85/282/livingwithplants_grande__26452.1456436666.jpg?c=2&imbypass=on"
20 },
21 {
22 "image_source": "https://cdn11.bigcommerce.com/s-n0i50vy/images/stencil/1280x1280/products/109/361/kinfolkessentialissue_1024x1024__22507.1456436715.jpg?c=2&imbypass=on"
23 }
24 ]
25 },
26 "widget_template": {
27 "current_version_uuid": "c863f77b-e5b4-4462-a9ed-2aff9005140e",
28 "date_created": "2020-12-21T19:49:29.110Z",
29 "date_modified": "2020-12-21T19:49:29.110Z",
30 "icon_name": "default",
31 "kind": "custom",
32 "name": "Header Images",
33 "schema": [],
34 "storefront_api_query": "",
35 "template": "{{#each images}}{{/each}}",
36 "uuid": "f8459145-da8f-4d98-93e4-83aa47da61c6",
37 "channel_id": 1,
38 "client_rerender": false,
39 "template_engine": "handlebars_v3"
40 },
41 "storefront_api_query_params": {}
42 },
43 "meta": {}
44}

Returns a single Widget.

Was this page helpful?
Previous

Create Widget

Next

Update Widget

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

uuidstringRequiredformat: "uuid"
The identifier for a specific widget.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

dataobject
metaobject
Response metadata.

Errors

404
Not Found Error
422
Unprocessable Entity Error

The MIME type of the response body.